Subject: bug#47891: closed (Re: bug#47891: sort --numeric-sort-Extra-Strength)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Feb 2022 09:30:03 +0000

Your bug report

#47891: sort --numeric-sort-Extra-Strength

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47891: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47891
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47891: sort --numeric-sort-Extra-Strength
From: Paul Eggert <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Feb 2022 01:29:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 4/19/21 06:15, 積丹尼 Dan Jacobson wrote:
> Let's face it, sort, no matter what --option, or LC_... value,
> just can't achieve this order:
> 
> 3－1號邊
> 3號之1
> 3號之2
> 30

Plain 'sort -n' works for me, in my en_US.utf8 locale. :-)

I do take your point, though, that GNU 'sort' does not support sorting 
by Taiwanese house address. The usual way to handle this sort of thing 
is to transform the house address into a form that GNU 'sort' can 
handle, sort, then transform back. I doubt whether we'll be adding a 
--taiwanese-address-sort option any time soon so I'm taking the liberty 
of closing the bug report.

Subject: sort --numeric-sort-Extra-Strength
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Mon, 19 Apr 2021 21:15:52 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Let's face it, sort, no matter what --option, or LC_... value,
just can't achieve this order:

3－1號邊
3號之1
3號之2
30

What's the miracle kid (me) doing right that sort(1) just can't sort
out yet?

Mom told me "Just sort by numbers."

See https://www.jidanni.org/geo/house_numbering/sorting/ in your spare time.